function add_filter(event, tagName) {
  if( !event ) event = window.event;
  root = event.target.parentNode;
  node = getChildElementByTag(root, tagName);
  clone = node.cloneNode(true);
  root.insertBefore(clone, event.target);
  root.insertBefore(document.createTextNode(' '), event.target);
}
